[Overview][Types][Classes][Procedures and functions][Index] | Reference for unit 'FileCtrl' (#lcl)

# TCustomFilterComboBox.Select

Performs actions needed when the selected item (ItemIndex) has been changed.

## Declaration

Source position: filectrl.pp line 155

`protected procedure TCustomFilterComboBox.Select; override;`

## Description

Select is an overridden method in TCustomFilterComboBox. It ensures that the value in Mask is also applied to the ShellListView control (when assigned). This forces the ShellListView to reload the list of matching files displayed in the control.

Select calls the inherited method to signal the OnSelect event handler (when assigned).

## See also

TCustomFilterComboBox.Mask |  | File mask for the selected filter in the control.
TCustomFilterComboBox.ShellListView |  | Connects the control to a TShellListView instance.
TCustomComboBox.OnSelect |  | Handler invoked when an item is selected.